## dnf-utils

dnf-utils

## Functions

#define | DEPRECATED()
gchar * | dnf_realpath ()
gboolean | dnf_remove_recursive ()
gboolean | dnf_ensure_file_unlinked ()
gboolean | dnf_delete_files_matching ()
gboolean | dnf_get_file_contents_allow_noent ()

## Description

## Functions

### DEPRECATED()

            #define DEPRECATED(msg) [[deprecated(msg)]]

### dnf_realpath ()

    gchar *
    dnf_realpath (const gchar *path);

### dnf_remove_recursive ()

    gboolean
    dnf_remove_recursive (const gchar *directory,
                          GError **error);

### dnf_ensure_file_unlinked ()

    gboolean
    dnf_ensure_file_unlinked (const gchar *src_path,
                              GError **error);

### dnf_delete_files_matching ()

    gboolean
    dnf_delete_files_matching (const gchar *directory_path,
                               const char * const *patterns,
                               GError **error);

### dnf_get_file_contents_allow_noent ()

    gboolean
    dnf_get_file_contents_allow_noent (const gchar *path,
                                       gchar **out_contents,
                                       gsize *length,
                                       GError **error);